<template>
  <div id="app">
    <router-view/>
  </div>
</template>

<script>
import axios from 'axios'
export default {
  name: 'App',
  created: function () {
    const token = localStorage.getItem('user-token')
    const user = localStorage.getItem('user')
    if (token) {
      axios.defaults.headers.common['Authorization'] = 'Bearer ' + token
      axios.defaults.headers.common['User'] = user
    }
    axios.interceptors.response.use(undefined, function (err) {
      return new Promise(function (resolve, reject) {
        if (err.status === 401) {
          this.$store.dispatch('AUTH_LOGOUT')
        }
        throw err
      })
    })
  }
}
</script>

<style>
#app {
  font-family: 'Roboto';
  font-size: 16px;
  font-weight: 300;
  width: 100%;
  height: 100vh;
}
@import url('./resets.css');
</style>
